The config class contains all our configuration settings for a session.

An instance of this class should be stored in $_SESSION to maintain state, and to avoid rebuilding/rereading it at the state of each page output.

package | phpLDAPadmin
subpackage | Tree

### Methods

## Function to check and warn about any unusual defined variables.

    CheckCustom()

## __construct()

    __construct()

## configDefinition()

    configDefinition($key, $index, $config)

### Parameters

#### $key

#### $index

#### $config

## Get a list of available commands.

    getCommandList()

## This function will return the <ancronym> html for a friendly name attribute.

    getFriendlyHTML($attr) : string

### Parameters

#### $attr

attribute

### Returns

`string`html for the friendly name.

## This function will return the friendly name of an attribute, if it exists.

    getFriendlyName($attr) : string

If the friendly name doesnt exist, the attribute name will be returned.

### Parameters

#### $attr

attribute

### Returns

`string`friendly name|attribute

## getServer()

    getServer($index)

### Parameters

#### $index

## Return a list of our servers

    getServerList(boolean $visible)

### Parameters

#### $visible

`boolean`

- Only return visible servers

## Get a configuration value.

    getValue($key, $index, $fatal)

### Parameters

#### $key

#### $index

#### $fatal

## This function will return true if a friendly name exists for an attribute.

    haveFriendlyName($attr) : boolean

If the friendly name doesnt exist, it will return false.

### Parameters

#### $attr

attribute

### Returns

`boolean`true|false

## Simple ACL to see if commands can be run

    isCommandAvailable($index)

### Parameters

#### $index

## setServers()

    setServers($servers)

### Parameters

#### $servers

## Return the untested config items

    untested()

## Access the configuration, taking into account the defaults and the customisations

    getConfigArray($usecache)

### Parameters

#### $usecache

## Return the friendly attributes names

    getFriendlyAttrs()

### Properties

## $custom

    $custom

## $hooks

    $hooks

## $default

    $default

## $servers

    $servers